class CreateDeliveryAddressResponse {
  int? code;
  bool? status;
  String? message;
  List<Details>? details;

  CreateDeliveryAddressResponse(
      {this.code, this.status, this.message, this.details});

  CreateDeliveryAddressResponse.fromJson(Map<String, dynamic> json) {
    code = json['code'];
    status = json['status'];
    message = json['message'];
    if (json['details'] != null) {
      details = <Details>[];
      json['details'].forEach((v) {
        details!.add(new Details.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['code'] = this.code;
    data['status'] = this.status;
    data['message'] = this.message;
    if (this.details != null) {
      data['details'] = this.details!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Details {
  int? locationid;
  int? customerid;
  String? address;
  String? suburb;
  String? city;
  String? state;
  String? landmark;
  String? doorno;
  String? postcode;
  String? latitude;
  String? longitude;
  String? defaultaddress;
  int? status;

  Details(
      {this.locationid,
        this.customerid,
        this.address,
        this.suburb,
        this.city,
        this.state,
        this.landmark,
        this.doorno,
        this.postcode,
        this.latitude,
        this.longitude,
        this.defaultaddress,
        this.status});

  Details.fromJson(Map<String, dynamic> json) {
    locationid = json['locationid'];
    customerid = json['customerid'];
    address = json['address'];
    suburb = json['suburb'];
    city = json['city'];
    state = json['state'];
    landmark = json['landmark'];
    doorno = json['doorno'];
    postcode = json['postcode'];
    latitude = json['latitude'];
    longitude = json['longitude'];
    defaultaddress = json['defaultaddress'];
    status = json['status'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['locationid'] = this.locationid;
    data['customerid'] = this.customerid;
    data['address'] = this.address;
    data['suburb'] = this.suburb;
    data['city'] = this.city;
    data['state'] = this.state;
    data['landmark'] = this.landmark;
    data['doorno'] = this.doorno;
    data['postcode'] = this.postcode;
    data['latitude'] = this.latitude;
    data['longitude'] = this.longitude;
    data['defaultaddress'] = this.defaultaddress;
    data['status'] = this.status;
    return data;
  }
}
